diff --git a/integrationtests/run_tests.bash b/integrationtests/run_tests.bash
index 4483ee3dd5b470dc9d1fcb377391cfad04ac2e4f..a74fbd1716c7e6e9ff1b281644a68d8309870ca5 100755
--- a/integrationtests/run_tests.bash
+++ b/integrationtests/run_tests.bash
@@ -83,11 +83,12 @@ echo -e "ROS_LOG_DIR\t\t: $ROS_LOG_DIR"
 echo -e "PX4_LOG_DIR\t\t: $PX4_LOG_DIR"
 echo -e "TEST_RESULT_TARGET_DIR\t: $TEST_RESULT_TARGET_DIR"
 
-# Exit on first error as we cannot afford to wait forever
-set -e
+# don't exit on error anymore (because single tests or exports might fail)
+# however, stop executing tests after the first failure
+set +e
 echo "=====> run tests"
-rostest px4 mavros_posix_tests_iris.launch
-rostest px4 mavros_posix_tests_standard_vtol.launch
+test $? -eq 0 && rostest px4 mavros_posix_tests_iris.launch
+test $? -eq 0 && rostest px4 mavros_posix_tests_standard_vtol.launch
 TEST_RESULT=$?
 echo "<====="